io.vertx.rabbitmq

## Class RabbitMQPublisherOptions

- java.lang.Object
- - io.vertx.rabbitmq.RabbitMQPublisherOptions

-     public class RabbitMQPublisherOptions
      extends Object

  RabbitMQ client options, most
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Integer` | `DEFAULT_RECONNECT_ATTEMPTS` The default connection retries = `Integer.MAX_VALUE`
    `static long` | `DEFAULT_RECONNECT_INTERVAL` The default connection retry delay = `10000`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RabbitMQPublisherOptions()`
    `RabbitMQPublisherOptions(JsonObject json)`
    `RabbitMQPublisherOptions(RabbitMQPublisherOptions that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxInternalQueueSize()`
    `Integer` | `getReconnectAttempts()`
    `long` | `getReconnectInterval()`
    `RabbitMQPublisherOptions` | `setMaxInternalQueueSize(int maxInternalQueueSize)`
    `RabbitMQPublisherOptions` | `setReconnectAttempts(Integer reconnectAttempts)` Set the number of reconnect attempts to attempt when connecting, the `null` value disables it.
    `RabbitMQPublisherOptions` | `setReconnectInterval(long reconnectInterval)` Set the delay in milliseconds between connection retries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_RECONNECT_INTERVAL

          public static final long DEFAULT_RECONNECT_INTERVAL

      The default connection retry delay = `10000`
      See Also:
        Constant Field Values

    - #### DEFAULT_RECONNECT_ATTEMPTS

          public static final Integer DEFAULT_RECONNECT_ATTEMPTS

      The default connection retries = `Integer.MAX_VALUE`

  - ### Constructor Detail

    - #### RabbitMQPublisherOptions

          public RabbitMQPublisherOptions()

    - #### RabbitMQPublisherOptions

          public RabbitMQPublisherOptions(JsonObject json)

    - #### RabbitMQPublisherOptions

          public RabbitMQPublisherOptions(RabbitMQPublisherOptions that)

  - ### Method Detail

    - #### getReconnectAttempts

          public Integer getReconnectAttempts()

      Returns:
        the number of reconnect attempts

    - #### setReconnectAttempts

          public RabbitMQPublisherOptions setReconnectAttempts(Integer reconnectAttempts)

      Set the number of reconnect attempts to attempt when connecting, the `null` value disables it.
      Parameters:
        `reconnectAttempts` - the number of retries
      Returns:
        a reference to this, so the API can be used fluently

    - #### getReconnectInterval

          public long getReconnectInterval()

      Returns:
        the delay in milliseconds between connection retries

    - #### setReconnectInterval

          public RabbitMQPublisherOptions setReconnectInterval(long reconnectInterval)

      Set the delay in milliseconds between connection retries.
      Parameters:
        `reconnectInterval` - the delay in milliseconds
      Returns:
        a reference to this, so the API can be used fluently

    - #### getMaxInternalQueueSize

          public int getMaxInternalQueueSize()

      Returns:
        the size of internal queue

    - #### setMaxInternalQueueSize

          public RabbitMQPublisherOptions setMaxInternalQueueSize(int maxInternalQueueSize)

      Parameters:
        `maxInternalQueueSize` - the size of internal queue
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2024 Eclipse. All rights reserved.